Page MenuHomePhabricator

MobileFrontend doesn't do URL updating for redirects
Closed, ResolvedPublic

Event Timeline

MZMcBride updated the task description. (Show Details)
MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride added subscribers: MZMcBride, matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 8:45 PM

@Aklapper: Is there a tracking task for differences between mobile and desktop? I think there is, but I searched for a while and can't find it. :-(

T37045: Use history.replaceState to rewrite redirect urls is related to this task.

'mediawiki.action.view.redirect' would need a mobile target, for starters. Dunno if it will work correctly if we do just that.

matmarex removed a subscriber: matmarex.Mar 21 2015, 5:06 PM
KLans_WMF assigned this task to phuedx.Apr 7 2015, 7:33 PM
phuedx removed phuedx as the assignee of this task.
phuedx added a project: good first bug.
phuedx added a subscriber: phuedx.Apr 8 2015, 2:26 PM

This might require some design input about whether or not to include the "Redirected from …" message and where to put it if so. That shouldn't stop checking to see if adding a mobile target for mediawiki.action.view.redirect would Just Work™ though.

Jhernandez triaged this task as Normal priority.Aug 18 2015, 4:47 PM
Jhernandez edited projects, added MobileFrontend; removed Readers-Web-Backlog, Mobile.

Change 261029 had a related patch set uploaded (by Mholloway):
Enable mediawiki.action.view.redirect on mobile

https://gerrit.wikimedia.org/r/261029

Change 261029 merged by jenkins-bot:
Enable mediawiki.action.view.redirect on mobile

https://gerrit.wikimedia.org/r/261029

Jdlrobson closed this task as Resolved.Dec 28 2015, 7:20 PM
Jdlrobson claimed this task.

FYI whenever changing targets on a resource loader module please assert in the commit message that you have considered size of module and tested on some mobile devices and verified conditions it loads. It was not clear from patch if this was done and I've just spent time checking the above (in this case seems relatively harmless).

Please see https://www.mediawiki.org/wiki/ResourceLoader/Writing_a_MobileFrontend_friendly_ResourceLoader_module - consequences of blindly enabling modules can impact first paint in unexpected ways.